<?php

/*
 * Copyright (C) 2021 AdumoOnline South Africa - All Rights Reserved
 *
 * Unauthorized copying, modifying or distribution of this file,
 * via any medium is strictly prohibited.
 *
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from AdumoOnline.
 */

 include(dirname(__FILE__).'/../../php-jwt/jwt.php');

class AdumoOnlineConfirmationModuleFrontController extends ModuleFrontController
{
    public function postProcess()
    {
        if (Tools::isSubmit('_RESULT') == false) {
            return false;
        }

        $SecretKey = 'jahsdbvhasdbvkasbv'; //Configuration::get('ADUMOONLINE_JWT_SECRET_KEY');
        $token = trim(Tools::getValue('_RESPONSE_TOKEN'));
        $data = JWT::decode($token, $SecretKey, array('HS256'));

        $result = (int) $data->result; //Tools::getValue('_RESULT');

        if ($result >= 0) {
            $cartId = $data->mref; //Tools::getValue('_MERCHANTREFERENCE');
            $secureKey = Tools::getValue('VARIABLE1');

            $cart = new Cart((int) $cartId);

            $customer = new Customer((int) $cart->id_customer);

            $paymentStatus = Configuration::get('PS_OS_PAYMENT');
            //error_log("Payment Status-----------------------------------".print_r($paymentStatus,1));
            $message = 'Success';

            //Validate the Amount
            if($cart->getOrderTotal() != $data->amount) {
                $message = 'Amount validation failed - order amount is not the same as the payment amount';
            }

            //Verify JWT Token
            if($data->verify == 0) {
                $message = $data->reason;
            }

            $moduleName = $this->module->displayName;
            $currencyId = (int) Context::getContext()->currency->id;

            $this->module->validateOrder($cartId, $paymentStatus, $cart->getOrderTotal(), $moduleName, $message, array('transaction_id' => $data->transactionIndex.' - ('.$message.')'), $currencyId, false, $secureKey);

            $orderId = Order::getIdByCartId((int) $cart->id);

            if ($orderId && ($secureKey == $customer->secure_key)) {

                $moduleId = $this->module->id;
                Tools::redirect('index.php?controller=order-confirmation&id_cart='.$cartId.'&id_module='.$moduleId.'&id_order='.$orderId.'&key='.$secureKey);
            } else {
                $this->errors[] = $this->module->l('An error occurred. Please contact the merchant to have more information');

                return $this->displayError('An error occurred', 'Please contact the merchant to have more information');
            }
        } else {
            $errorMessage = Tools::getValue('_ERROR_MESSAGE');
            $errorDescription = Tools::getValue('_BANK_ERROR_MESSAGE') ?: Tools::getValue('_ERROR_DETAIL');

            return $this->displayError($errorMessage, $errorDescription);
        }

    }

    protected function displayError($message, $description = false)
    {
        $this->context->smarty->assign('path', $this->context->link->getPageLink('order', null, null, 'step=3'));

        array_push($this->errors, $this->module->l($message), $description);

        $this->context->smarty->assign(['errorMessage' => $message, 'errorDescription' => $description]);

        $this->setTemplate('module:adumoonline/views/templates/front/error.tpl');
    }
}
