{*
* Copyright (C) 2021 AdumoOnline South Africa - All Rights Reserved
*
* Unauthorized copying, modifying or distribution of this file,
* via any medium is strictly prohibited.
*
* Dissemination of this information or reproduction of this material
* is strictly forbidden unless prior written permission is obtained
* from AdumoOnline.
*}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <style>
        ::-moz-selection {
            background: #b3d4fc;
            text-shadow: none;
        }

        ::selection {
            background: #b3d4fc;
            text-shadow: none;
        }

        html {
            padding: 30px 10px;
            font-size: 16px;
            line-height: 1.4;
            color: #737373;
            background: #f0f0f0;
            -webkit-text-size-adjust: 100%;
            -ms-text-size-adjust: 100%;
        }

        html,
        input {
            font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
        }

        body {
            max-width: 600px;
            _width: 600px;
            padding: 30px 20px 50px;
            border: 1px solid #b3b3b3;
            border-radius: 4px;
            margin: 0 auto;
            box-shadow: 0 1px 10px #a7a7a7, inset 0 1px 0 #fff;
            background: #fcfcfc;
        }

        h1 {
            margin: 0 10px;
            font-size: 50px;
            text-align: center;
        }

        h1 span {
            color: #bbb;
        }

        h2 {
            color: #D35780;
            margin: 0 10px;
            font-size: 40px;
            text-align: center;
        }

        h2 span {
            color: #bbb;
            font-size: 60px;
        }

        h3 {
            margin: 1.5em 0 0.5em;
        }

        p {
            margin: 1em 0;
        }

        ul {
            padding: 0 0 0 40px;
            margin: 1em 0;
        }

        .container {
            max-width: 380px;
            _width: 380px;
            margin: 0 auto;
        }

        input::-moz-focus-inner {
            padding: 0;
            border: 0;
        }
    </style>
</head>
<body>
<div class="container">
    {nocache}
        <div style="text-align: center">
            <img src="../../modules/adumoonline/logo.png"/>
            <h3>{l s='You will be redirected to the AdumoOnline payment page shortly.' mod='adumoonline'}</h3>
            <form name="Post" action="{$virtualEndPoint}" method="post" id="payment-form" name="payment-form">
                <input type="hidden" name="Mode" value="{$mode}">
                <input type="hidden" name="MerchantID" value="{$merchantId}">
                <input type="hidden" name="ApplicationID" value="{$applicationUid}">
                <input type="hidden" name="MerchantReference" value="{$cartId}">
                <input type="hidden" name="Amount" value="{$total}">
                <input type="hidden" name="Token" value="{$jwttoken}">
                <input type="hidden" name="txtCurrencyCode" value="{$currencyCode}">
                <input type="hidden" name="RedirectSuccessfulURL" value="{$link->getModuleLink('adumoonline', 'confirmation', [], true)|escape:'htmlall':'UTF-8'}">
                <input type="hidden" name="RedirectFailedURL" value="{$link->getModuleLink('adumoonline', 'confirmation', [], true)|escape:'htmlall':'UTF-8'}">

                <input type="hidden" name="Variable1" value="{$secureKey}">

                {foreach $products as $index => $product}
                    <input type="hidden" name="Qty{$index + 1}" value="{$product['cart_quantity']}">
                    <input type="hidden" name="ItemRef{$index + 1}" value="{$product['id_product']}">
                    <input type="hidden" name="ItemDescr{$index + 1}" value="{$product['name']}">
                    <input type="hidden" name="ItemAmount{$index + 1}" value="{$product['total_wt']}">
                {/foreach}

                <input type="hidden" name="ShippingCost" value="{$shipping}">
                <input type="hidden" name="Discount" value="{$discount}">

                <input type="hidden" name="Recipient" value="{$customer}">
                <input type="hidden" name="ShippingAddress1" value="{$address->address1}">
                <input type="hidden" name="ShippingAddress2" value="{$address->address1}">
                <input type="hidden" name="ShippingAddress3" value="{$address->city}">
                <input type="hidden" name="ShippingAddress4" value="{$address->postcode}">
                <input type="hidden" name="ShippingAddress5" value="{$address->country}">

                <button type="submit">If you are not automatically redirected, click here.</button>
            </form>
            <script>
                document.forms['payment-form'].submit();
            </script>
        </div>
    {/nocache}
</div>
</body>
</html>
